## ros-jazzy-rmw 7.3.1

=== debian/changelog ===
ros-jazzy-rmw (7.3.1-1bookworm) bookworm; urgency=high

  * Removed warnings - strict-prototypes (#365 <https://github.com/ros2/rmw/issues/365>) (#366 <https://github.com/ros2/rmw/issues/366>)
  * Contributors: mergify[bot]

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 24 Apr 2024 00:00:00 -0000

ros-jazzy-rmw (7.3.0-1bookworm) bookworm; urgency=high

  * Switch to target_link_libraries. (#361 <https://github.com/ros2/rmw/issues/361>)
  * Remove unnecessary c++14 flag. (#360 <https://github.com/ros2/rmw/issues/360>)
  * Contributors: Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-jazzy-rmw (7.2.2-1bookworm) bookworm; urgency=high

  * definition of local means being in the same context. (#359 <https://github.com/ros2/rmw/issues/359>)
  * Contributors: Tomoya Fujita

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 06 Nov 2023 00:00:00 -0000

ros-jazzy-rmw (7.2.1-1bookworm) bookworm; urgency=high

  * typo fix. (#355 <https://github.com/ros2/rmw/issues/355>)
  * Contributors: Tomoya Fujita

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-jazzy-rmw (7.2.0-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-jazzy-rmw (7.1.0-1bookworm) bookworm; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rmw (#353 <https://github.com/ros2/rmw/issues/353>)
  * Runtime Interface Reflection: rmw (#340 <https://github.com/ros2/rmw/issues/340>)
  * [rmw] Improve handling of dynamic discovery (#338 <https://github.com/ros2/rmw/issues/338>)
  * rmw_send_reqponse returns RMW_RET_TIMEOUT. (#350 <https://github.com/ros2/rmw/issues/350>)
  * Add a note about asynchronicity of discovery. (#352 <https://github.com/ros2/rmw/issues/352>)
  * Add matched event support (#331 <https://github.com/ros2/rmw/issues/331>)
  * Add type hash to rmw_topic_endpoint_info_t (rep2011) (#348 <https://github.com/ros2/rmw/issues/348>)
  * Add in inconsistent topic defines and data structures. (#339 <https://github.com/ros2/rmw/issues/339>)
  * Update documented expectations for GIDs (#335 <https://github.com/ros2/rmw/issues/335>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Geoffrey Biggs, Jacob Perron, Tomoya Fujita, William Woodall, methylDragon

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-jazzy-rmw (7.0.1-1bookworm) bookworm; urgency=high

  * Fix rmw->rwm typo (#347 <https://github.com/ros2/rmw/issues/347>)
  * Contributors: Emerson Knapp

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-jazzy-rmw (7.0.0-1bookworm) bookworm; urgency=high

  * Add rmw count clients, services (#334 <https://github.com/ros2/rmw/issues/334>)
  * make writer_guid uint8_t[] instead of int8_t for consistency with rmw_gid_t (#329 <https://github.com/ros2/rmw/issues/329>)
  * Update rmw to C++17. (#346 <https://github.com/ros2/rmw/issues/346>)
  * Reduce GID storage to 16 bytes. (#345 <https://github.com/ros2/rmw/issues/345>)
  * Move the RMW_CHECK_TYPE_IDENTIFIERS_MATCH macro to a C header. (#343 <https://github.com/ros2/rmw/issues/343>)
  * [rolling] Update maintainers - 2022-11-07 (#337 <https://github.com/ros2/rmw/issues/337>)
  * Contributors: Audrow Nash, Brian, Chris Lalancette, Minju, Lee

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-jazzy-rmw (6.4.0-1bookworm) bookworm; urgency=high

  * Remove unused test_loaned_message_sequence.cpp (#336 <https://github.com/ros2/rmw/issues/336>)
  * callback can be NULL to clear in Listener APIs. (#332 <https://github.com/ros2/rmw/issues/332>)
  * Add rmw_get_gid_for_client method (#327 <https://github.com/ros2/rmw/issues/327>)
  * Contributors: Brian, Nikolai Morin, Tomoya Fujita

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-jazzy-rmw (6.3.1-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-jazzy-rmw (6.3.0-1bookworm) bookworm; urgency=high

  * Add 'best available' QoS policies (#320 <https://github.com/ros2/rmw/issues/320>)
    The best available policy should select the highest level of service for the QoS setting while matching with the majority of endpoints.
    For example, in the case of a DDS middleware subscription, this means:
    * Prefer reliable reliability if all existing publishers on the same topic are reliable, otherwise use best effort.
    * Prefer transient local durability if all existing publishers on the same topic are transient local, otherwise use volatile.
    * Prefer manual by topic liveliness if all existing publishers on the same topic are manual by topic, otherwise use automatic.
    * Use a deadline that is equal to the largest deadline of existing publishers on the same topic.
    * Use a liveliness lease duration that is equal to the largest lease duration of existing publishers on the same topic.
  * Contributors: Jacob Perron

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 03 May 2022 00:00:00 -0000

ros-jazzy-rmw (6.2.0-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-jazzy-rmw (6.1.0-1bookworm) bookworm; urgency=high

  * Add content filtered topics support. (#302 <https://github.com/ros2/rmw/issues/302>)
  * Add sequence numbers to rmw_message_info_t. (#318 <https://github.com/ros2/rmw/issues/318>)
  * Add rmw_feature_supported(). (#318 <https://github.com/ros2/rmw/issues/318>)
  * Contributors: Chen Lihui, Ivan Santiago Paunovic

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 25 Mar 2022 00:00:00 -0000

ros-jazzy-rmw (6.0.0-1bookworm) bookworm; urgency=high

  * Add EventsExecutor (#286 <https://github.com/ros2/rmw/issues/286>)
  * Document that rmw_wait() SHOULD use a monotonic clock (#316 <https://github.com/ros2/rmw/issues/316>)

