=== debian/control ===
Source: ros-jazzy-rmw
Section: misc
Priority: optional
Maintainer: Brandon Ong <brandon@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake-gmock <!nocheck>, ros-jazzy-ament-cmake-ros, ros-jazzy-ament-cmake-version, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-osrf-testing-tools-cpp <!nocheck>, ros-jazzy-rcutils, ros-jazzy-rosidl-dynamic-typesupport, ros-jazzy-rosidl-runtime-c, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rmw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-rcutils, ros-jazzy-rosidl-dynamic-typesupport, ros-jazzy-rosidl-runtime-c, ros-jazzy-ros-workspace
Description: Contains the ROS middleware API.
